### Function

# GLib get_language_names

since: 2.6

#### Declaration

    const gchar* const*
    g_get_language_names (
      void
    )

#### Description

Computes a list of applicable locale names, which can be used to e.g. construct locale-dependent filenames or search paths. The returned list is sorted from most desirable to least desirable and always contains the default locale “C”.

For example, if LANGUAGE=de:en_US, then the returned list is “de”, “en_US”, “en”, “C”.

This function consults the environment variables `LANGUAGE`, `LC_ALL`, `LC_MESSAGES` and `LANG` to find the list of locales specified by the user.

Available since: 2.6

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings owned by GLib that must not be modified or freed.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a NUL terminated UTF-8 string.